'use server'

export async function createAlbum(formData: FormData) {
  const title = formData.get('title');
  const artist = formData.get('artist');
  const genre = formData.get('genre');
  return await fetch("https://api.anatid.net/album", {
    method: "POST",
    headers: { "Content-Type": "application/json" },
    body: JSON.stringify({
      title: title,
      artist: artist,
      genre: genre,
    })
  });
}

export async function updateAlbum(formData: FormData) {
  const id = formData.get('id');
  const title = formData.get('title');
  const artist = formData.get('artist');
  const genre = formData.get('genre');
  return await fetch("https://api.anatid.net/album", {
    method: "PUT",
    headers: { "Content-Type": "application/json" },
    body: JSON.stringify({
      id: id,
      title: title,
      artist: artist,
      genre: genre,
    })
  });
}

export async function deleteAlbum(formData: FormData) {
  const id = formData.get('id');
  return await fetch("https://api.anatid.net/album", {
    method: "DELETE",
    headers: { "Content-Type": "application/json" },
    body: JSON.stringify({
      id: id,
    })
  });
}
